use std::collections::HashMap;

use rocket_dyn_templates::tera::{Value, Error};


pub fn static_filter(
    value: &Value,
    args: &HashMap<String, rocket_dyn_templates::tera::Value>
) -> Result<Value, Error> {
    let host = args.get("static_host");
    return Ok(rocket_dyn_templates::tera::Value::String(format!("{}/{}", host.unwrap().as_str().unwrap(), value.as_str().unwrap()))); // TODO: fix-me here!
}

pub fn translate_filter(
    value: &Value,
    args: &HashMap<String, rocket_dyn_templates::tera::Value>
) -> Result<Value, Error> {
    return Ok(rocket_dyn_templates::tera::Value::String(format!("{}", value.as_str().unwrap()))); // TODO: fix-me here!
}